﻿// LogSig - Logarithmic Signature Utility
// Copyright (C) 2011-2015 Dominik Reichl <info@dominik-reichl.de>

using System;
using System.Collections.Generic;
using System.Text;

using LogSig.Test;

namespace LogSig.AppModules
{
	public sealed class AppModCore : AppMod
	{
		public AppModCore()
		{
			AddCommand("t", PerformSelfTest);
		}

		private static void PerformSelfTest(object sender, AppModEventArgs e)
		{
#if !DEBUG
			try
			{
#endif
				SelfTest.Perform();
				if(Program.Verbose) Console.WriteLine("Self-test successful!");
#if !DEBUG
			}
			catch(Exception exSelfTest)
			{
				Console.WriteLine("Self-test failed!");
				Console.WriteLine(exSelfTest.ToString());
			}
#endif
		}
	}
}
