﻿// LogSig - Logarithmic Signature Utility
// Copyright (C) 2011-2015 Dominik Reichl <info@dominik-reichl.de>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LogSig.DM.LsGen.GroupImplCaps
{
	public interface INormalChainFac<T>
		where T : IDmGroupElement<T>
	{
		List<int> FactorInNormalChain(List<DmLogSigBlock<T>> lBlocks,
			T tToFactor);
	}
}
