﻿// LogSig - Logarithmic Signature Utility
// Copyright (C) 2011-2015 Dominik Reichl <info@dominik-reichl.de>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LogSig.DM.LsGen
{
	public abstract class LsGenTransformation<T>
		where T : IDmGroupElement<T>
	{
		public virtual bool SupportedForGroup(IDmGroup<T> grp)
		{
			return true;
		}

		public abstract void Transform(TransformationParams<T> p);
	}
}
