﻿// LogSig - Logarithmic Signature Utility
// Copyright (C) 2011-2015 Dominik Reichl <info@dominik-reichl.de>

using System;
using System.Collections.Generic;

namespace LogSig.Interfaces
{
	public interface IDeepCloneable<T>
	{
		/// <summary>
		/// Clone the current object deeply (not only shallow).
		/// </summary>
		/// <returns>Cloned object.</returns>
		T Clone();
	}
}
