﻿// LogSig - Logarithmic Signature Utility
// Copyright (C) 2011-2015 Dominik Reichl <info@dominik-reichl.de>

using System;
using System.Collections.Generic;
using System.Text;

using LogSig.AppModules;
using LogSig.DM;

namespace LogSig.Plugins
{
	public sealed class DefaultPluginHost : ILsPluginHost
	{
		public List<AppMod> AppModules
		{
			get { return Program.AppModules; }
		}

		public DmGroupFactoryPool GroupFactories
		{
			get { return Program.GroupFactories; }
		}
	}
}
