﻿// LogSig - Logarithmic Signature Utility
// Copyright (C) 2011-2015 Dominik Reichl <info@dominik-reichl.de>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LogSig.DM
{
	public sealed class DmTraceInfo
	{
		private int m_nRecCalls = 0;
		public int RecursiveCallCount
		{
			get { return m_nRecCalls; }
			set { m_nRecCalls = value; }
		}

		private int m_nMaxWidth = 0;
		public int MaxWidth
		{
			get { return m_nMaxWidth; }
			set { m_nMaxWidth = value; }
		}
	}
}
