﻿// LogSig - Logarithmic Signature Utility
// Copyright (C) 2011-2015 Dominik Reichl <info@dominik-reichl.de>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using LogSig.Pkc;

namespace LogSig.Skc
{
	public sealed class SkcKey
	{
		private PkcPrivateKey m_pkA = new PkcPrivateKey();
		public PkcPrivateKey Alpha
		{
			get { return m_pkA; }
			set
			{
				if(value == null) throw new ArgumentNullException("value");
				m_pkA = value;
			}
		}

		private PkcPrivateKey m_pkB = new PkcPrivateKey();
		public PkcPrivateKey Beta
		{
			get { return m_pkB; }
			set
			{
				if(value == null) throw new ArgumentNullException("value");
				m_pkB = value;
			}
		}
	}
}
